<html>
	<head>
		<title>Belajar Basic Vue.JS</title>
	</head>
	<body>
		<h1>Belajar Vue.js</h1>
		<p>Pastikan ada koneksi internet, karena lib vue.js diambil dari internet</p>
		<hr>

		<div id="app">
			<h2>{{ message }}</h2>

			
				<p v-for="comment in comments">
					<table>
						<tr><td>							
							<button v-if="comment.last_action=='add'" style="background-color: greenyellow;"  @click="add(comment)" >+</button>
							<button v-else @click="add(comment)" >+</button>														
						</td></tr>
						<tr><td>							
							{{comment.text}} || {{comment.created_at}} || Score : {{comment.counter}}							
						</td></tr>
						<tr><td>							
							<button v-if="comment.last_action=='substract'" style="background-color: red;" @click="substract(comment)">-</button>
							<button v-else @click="substract(comment)">-</button>
						</td></tr>
					</table>	
				</p>
				<br>
			
			
			<textarea v-on:keypress.enter="input" v-model="new_comment_text" cols="60" rows="5" title="Klik enter untuk input komentar"></textarea>
			  
		</div>

	</body>

	<script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>

	<script>
		var app = new Vue({
		el: '#app',
			data: {
				message: 'Hello Vue! Ini adalah aplikasi komentar yang sangat sederhana!',
				new_comment_text: '',
				comments: [
					{
						text:'Ini adalah Dummy Comment 1',
						created_at:'10/11/2020',
						counter:10,
						last_counter:10,
						last_action:'',
					},{
						text:'Ini adalah Dummy Comment 2',
						created_at:'11/11/2020',
						counter:5,
						last_counter:5,
						last_action:'',
					},{
						text:'Ini adalah Dummy Comment 3',
						created_at:'12/11/2020',
						counter:3,
						last_counter:3,
						last_action:'',
					}
				],
			},

			methods:{
				add(comment){

					if(comment.last_action!='add'){

						comment.counter = comment.last_counter + 1
						comment.last_action='add';

					}else{

						comment.counter = comment.last_counter
						comment.last_action='';

					}
					
					
				},

				substract(comment){
					
					if(comment.last_action!='substract'){

						comment.counter = comment.last_counter - 1
						comment.last_action='substract';

					}else{

						comment.counter = comment.last_counter
						comment.last_action='';

					}		
					
				},

				input(){
					
					if(this.new_comment_text.trim()!=""){
						
							this.comments.push({
							text:this.new_comment_text,
							created_at: new Date().toLocaleString().split(' ')[0],
							counter:0,
							last_counter:0,
							last_action:''
						})						
					}
					
					this.new_comment_text = ''

				}
			}
		})
	</script>

</html>